###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: rgmanager
Version: 1.9.31
Release: 3
License: GPL,LGPL
Group: System Environment/Base
Summary: Open Source HA Resource Group Failover for Red Hat Enterprise Linux
Requires: chkconfig initscripts glibc ncurses libxml2 bash grep sed gawk
Requires: magma ccs
Requires: net-tools mount /sbin/findfs /bin/bash
Requires(pre): /sbin/chkconfig
Requires(postun): /sbin/chkconfig
Provides: rgmanager
Obsoletes: clumanager
BuildRequires: glibc-devel ncurses-devel libxml2-devel /bin/grep
BuildRequires: magma ccs-devel magma-devel
ExclusiveArch: i386 ia64 x86_64
Source: %{name}-%{version}.tar.gz
Patch1: rgmanager-1.9.31-norun.patch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
%description
Red Hat Resource Group Manager provides high availability of critical server
applications in the event of planned or unplanned system downtime.

%prep
%setup -q
%patch1 -p1 -b .norun

%build
./configure

sed -i '/RELEASE_MAJOR/s/= .*/= %version/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= %release/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rgmanager

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del rgmanager
fi

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING errors.txt
%{_mandir}/*/*
/usr/sbin/
/usr/share/cluster
%config /etc/init.d/rgmanager

%changelog
* Fri May 05 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up .spec file.

* Thu May 05 2005 Chris Feist <cfeist@redhat.com>
- Added patch to disable starting up the init scripts.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Tue Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.4
- Build against latest set of libs and update sources.

* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.3
- Build against latest set of libs and update sources.

* Tue Aug 17 2004 Jon Brassow <jbrassow@redhat.com> 1.9.2-2
- Build against latest set of libs.

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.2-1
- Fix up specfile

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.1-1
- Work around bug in VF code with sledgehammer approach

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.0-1
- Initial build.
